import request from '@/utils/request'

// 根据条件查询成员
export function employeesList(data) {
  return request({
    url: '/user/userList',
    method: 'post',
    data: {
      loginName: data.loginName,
      userName: data.userName,
      pageNum: data.pageNum,
      pageSize: data.pageSize
    }
  })
}
// 获取角色暂定写死
export function userRoleById(data) {
  return request({
    url: '/role/list',
    method: 'post',
    data: {
      pageNum: data.pageNum,
      pageSize: data.pageSize,
      roleName: data.roleName
    }
  })
}

