import { getRoleList, getMenuList, addRole } from '@/api/role'

const role = {

  actions: {
    GetRoleList({ commit }, data) { // 根据条件获取所有的角色列表
      return new Promise((resolve, reject) => {
        getRoleList(data).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    GetMenuList({ commit }, data) { // 获取所有菜单
      return new Promise((resolve, reject) => {
        getMenuList(data).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    },
    AddRole({ commit }, data) { // 添加角色
      return new Promise((resolve, reject) => {
        addRole(data).then(response => {
          resolve(response)
        }).catch((err) => {
          reject(err)
        })
      })
    }
  }
}

export default role
