import request from '@/utils/request'

// 获取所有角色列表
export function getRoleList(data) {
  return request({
    url: '/role/list',
    method: 'post',
    data
  })
}

// 获取所有 菜单列表
export function getMenuList() {
  return request({
    url: '/menu/list',
    method: 'get'
  })
}

// 添加 角色
export function addRole(data) {
  return request({
    url: '/role/add',
    method: 'post',
    data
  })
}
